local addonName, player = ...

function availableItems()
    local stackCountA = 0
    local stackCountB = 0

	for i = 1, inventoryIndex do
        local locked = C_Container.GetContainerItemInfo(inventory[i].bag, inventory[i].slot)

        if inventory[i].item == player.data.item.a.id and locked.isLocked == false then
            stackCountA = stackCountA + inventory[i].count
        end

        if inventory[i].item == player.data.item.b.id and locked.isLocked == false then
            stackCountB = stackCountB + inventory[i].count
        end
    end
    ButtonTextA:SetText(stackCountA)
    ButtonTextB:SetText(stackCountB)
end

function searchInventory()
    inventoryIndex = 0
    inventory = {}

    for bag = 0, 4 do
        for slot = 1, C_Container.GetContainerNumSlots(bag) do
            local bagItem = C_Container.GetContainerItemInfo(bag, slot)

            if bagItem ~= nil then
                if bagItem.itemID == player.data.item.a.id or bagItem.itemID == player.data.item.b.id then
                    inventoryIndex = inventoryIndex + 1
                    inventory[inventoryIndex] = {
                        ["bag"] = bag,
                        ["slot"] = slot,
                        ["item"] = bagItem.itemID,
                        ["bound"] = bagItem.isBound,
                        ["count"] = bagItem.stackCount,
                        ["link"] = bagItem.hyperlink
                    }
                end
            end
        end
    end
    availableItems()
end